
/* Copyright (c) 1990 Sonnet Software, Inc., All rights reserved. */
/******************************************************************/

/* %W% last mod on %G% at %U% */
/* Full SCCS path name: (%P%) */

/*******************************************************************

	NAME: dos.c
	
	AUTHOR: K. Schroeder
	
	PURPOSE: Simulates unix calls for MSDOS
	
	CONTENTS:
		getuid() - Get user id.
		getpwuid() - Get password info for user id.
		getpwnam() - Gets password info for user name.

	NOTE:
		If PWD_H is defined then assume that these functions
		can be found in a library.
*******************************************************************/

#include "local.h"
#include <stdio.h>
#include <string.h>

#ifndef PWD_H
/*******************************************************************

	DESCRIPTION:

	Gets user id.

*******************************************************************/
int
getuid()
{
	return (1);
}

/*******************************************************************

	DESCRIPTION:

	Gets password info for user id.

*******************************************************************/
struct passwd *
getpwuid(uid)
int uid;
{
	return ( (struct passwd *)NULL );
}

/*******************************************************************

	DESCRIPTION:

	Gets password info for user name.

*******************************************************************/
struct passwd *
getpwnam(name)
char *name;
{
	return ( (struct passwd *)NULL );
}

#endif /* Not defined: PWD_H */

/*******************************************************************

	DESCRIPTION:


     tempnam() uses malloc() to get  space  for  the  constructed
     file  name,  and  returns a pointer to this area.  Thus, any
     pointer value returned from tempnam() may serve as an  argu-
     ment  to  free (see malloc(3V)).  If tempnam() cannot return
     the expected  result  for  any  reason,  that  is,  malloc()
     failed,  or  none of the above mentioned attempts to find an
     appropriate directory was successful, a NULL pointer will be
     returned.

*******************************************************************/
#ifndef InstantC
char *
tempnam(dir,pfx)
char *dir;
char *pfx;		/* Must be NULL */
{
	char *base_filename;
	char *filename;
	int len;

	if ( pfx != NULL ) {
		announce_bug("tempnam(0)");
	}
	
	/* Get the file name */
	base_filename = tmpnam( (char *)NULL );

	len = strlen(base_filename)+1;
	if ( dir == NULL ) { 
		filename = malloc( sizeof(char) * len);
		strcpy(filename,base_filename);
	} else {
		len += strlen(dir)+1;
		filename = malloc( sizeof(char) * len);
		sprintf(filename,"%s\\%s",dir,base_filename);
	}
	return(filename);
}
#endif /* InstantC */
